Subject: Re: [PATCH 0/3] remote API: fix -fanalyzer-spotted freeing issue

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Jun 2022 10:32:53 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> This series is spun off from the recent RFC -fanalyzer series[1] and
> fixes a clear bug in remote_state_clear().

[1/3] is a pretty-much "Meh" (read: if it is already in the code, it
is not worth a patch noise to go and fix it, even though we would
avoid newly introducing the construct in new code), and some part of
[3/3] I am not so sure about (read: it is a mixed bag of changes),
but [2/3] is a bug that I find surprising that nobody noticed at
runtime.

Thanks.  Will queue.